List documents
GET /v1/documents
GET
/v1/documents
Responses
Section titled “ Responses ”List all documents
Contains a list of [DocumentInfo]s.
This is the primary view model for the compliance module.
Array<object>
Provides basic information about a document.
object
description
required
string
latest_version
required
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");Array<integer>
slug
required
string
Example
cybersecurity-policy state
required
One of:
The document has not been initialized yet. It is possible for the document to have details, meaning that a proposal is “open” to initialize it.
object
value
required
string
The initial proposal is being opened
object
details
required
The initial proposal is being opened
object
last_approved_action
last_modified_action
status
required
version
required
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");Array<integer>
value
required
string
The document has been initialized and is ready for use
object
details
required
The document has been initialized and is ready for use
object
last_approved_action
last_modified_action
status
required
version
required
A version number that follows the semantic versioning scheme.
Example
# use std::str::FromStr;
# use backend::views::document::Version;
let version_str = "1.0.0";
let version: Version = Version::from_str(version_str).unwrap();
assert_eq!(version.to_string(), "1.0.0");Array<integer>
value
required
string
title
required
string